UCHCOM(4)

NAME
uchcom - WinChipHead CH341/CH340 serial adapter driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device uchcom

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uchcom_load="YES"

DESCRIPTION
The uchcom driver provides support for the WinChipHead CH341/CH340 USB-to-RS-232 Bridge chip.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

HARDWARE
The uchcom driver supports the following adapters:

•   HL USB-RS232

SEE ALSO
tty(4), ucom(4), usb(4)

HISTORY
The uchcom driver first appeared in NetBSD. The first FreeBSD release to include it was FreeBSD 8.0.

BUGS
Actually, this chip seems unable to drive other than 8 data bits and 1 stop bit line.